# ChangeLog for dev-db/mysql
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.385 2007/01/08 09:10:58 vivo Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/ChangeLog,v 1.386 2007/01/12 17:58:32 chtekk Exp $
+
+ 12 Jan 2007; Luca Longinotti <chtekk@gentoo.org> -files/logrotate.mysql,
+ mysql-3.23.58-r1.ebuild, -mysql-4.0.25-r2.ebuild, mysql-4.0.27-r1.ebuild,
+ -mysql-4.1.21.ebuild, mysql-4.1.22-r1.ebuild,
+ mysql-4.1.23_alpha20070101-r61.ebuild, mysql-5.0.26-r2.ebuild,
+ -mysql-5.0.30-r1.ebuild, mysql-5.0.32.ebuild,
+ mysql-5.0.34_alpha20070101-r61.ebuild:
+ Start cleanup.
*mysql-5.0.32 (08 Jan 2007)
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-3.23.58-r1.ebuild,v 1.22 2007/01/03 15:18:12 vivo Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-3.23.58-r1.ebuild,v 1.23 2007/01/12 17:58:32 chtekk Exp $
inherit flag-o-matic eutils
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="x86 ppc sparc alpha hppa"
+KEYWORDS="alpha hppa ppc sparc x86"
IUSE="berkdb debug innodb perl readline ssl static tcpd"
DEPEND="readline? ( >=sys-libs/readline-4.1 )
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-4.0.27-r1.ebuild,v 1.1 2007/01/05 12:03:30 vivo Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-4.0.27-r1.ebuild,v 1.2 2007/01/12 17:58:32 chtekk Exp $
MY_EXTRAS_VER="20070105"
SERVER_URI="mirror://mysql/Downloads/MySQL-${PV%.*}/mysql-${PV//_/-}.tar.gz"
inherit mysql
-#REMEMBER!!!: update also eclass/mysql*.eclass prior to commit
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86"
+# REMEMBER: also update eclass/mysql*.eclass before committing!
+KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 s390 sh sparc x86"
src_test() {
cd "${S}"
einfo ">>> Test phase [check]: ${CATEGORY}/${PF}"
make check || die "make check failed"
- if ! useq "minimal" ; then
+ if ! use "minimal" ; then
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
local retstatus
addpredict /this-dir-does-not-exist/t9.MYI
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-4.1.22-r1.ebuild,v 1.1 2007/01/05 12:03:30 vivo Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-4.1.22-r1.ebuild,v 1.2 2007/01/12 17:58:32 chtekk Exp $
MY_EXTRAS_VER="20070105"
SERVER_URI="mirror://mysql/Downloads/MySQL-${PV%.*}/mysql-${PV//_/-}.tar.gz"
inherit mysql
-#REMEMBER!!!: update also eclass/mysql*.eclass prior to commit
+# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="alpha amd64 arm hppa ia64 mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
src_test() {
cd "${S}"
einfo ">>> Test phase [check]: ${CATEGORY}/${PF}"
make check || die "make check failed"
- if ! useq "minimal" ; then
+ if ! use "minimal" ; then
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
local retstatus
local testopts="--force"
- # sandbox make ndbd zombie
+ # sandbox makes ndbd zombie
hasq "sandbox" ${FEATURES} && testopts="${testopts} --skip-ndb"
addpredict /this-dir-does-not-exist/t9.MYI
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-4.1.23_alpha20070101-r61.ebuild,v 1.1 2007/01/05 12:03:30 vivo Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-4.1.23_alpha20070101-r61.ebuild,v 1.2 2007/01/12 17:58:32 chtekk Exp $
MY_EXTRAS_VER="latest"
SERVER_URI="mirror://gentoo/MySQL-${PV%.*}/mysql-${PV//_alpha/-bk-}.tar.bz2"
inherit mysql
-#REMEMBER!!!: update also eclass/mysql*.eclass prior to commit
-KEYWORDS="testing"
+# REMEMBER: also update eclass/mysql*.eclass before committing!
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
src_test() {
cd "${S}"
einfo ">>> Test phase [check]: ${CATEGORY}/${PF}"
make check || die "make check failed"
- if ! useq "minimal" ; then
+ if ! use "minimal" ; then
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
local retstatus
local testopts="--force"
- # sandbox make ndbd zombie
+ # sandbox makes ndbd zombie
hasq "sandbox" ${FEATURES} && testopts="${testopts} --skip-ndb"
addpredict /this-dir-does-not-exist/t9.MYI
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.26-r2.ebuild,v 1.1 2007/01/05 12:03:30 vivo Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.26-r2.ebuild,v 1.2 2007/01/12 17:58:32 chtekk Exp $
MY_EXTRAS_VER="20070105"
SERVER_URI="mirror://mysql/Downloads/MySQL-${PV%.*}/mysql-${PV//_/-}.tar.gz"
inherit mysql
-#REMEMBER!!!: update also eclass/mysql*.eclass prior to commit
+# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc ~sparc-fbsd x86 ~x86-fbsd"
src_test() {
-
make check || die "make check failed"
- if ! useq "minimal" ; then
+ if ! use "minimal" ; then
cd "${S}"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
local retstatus
addpredict /this-dir-does-not-exist/t9.MYI
# mysqladmin start before dir creation
- mkdir mysql-test/var{,/log}
-
- if [[ ${UID} -eq 0 ]] ; then
- mysql_disable_test "im_daemon_life_cycle" "fail as root"
- mysql_disable_test "im_life_cycle" "fail as root"
- mysql_disable_test "im_options_set" "fail as root"
- mysql_disable_test "im_options_unset" "fail as root"
- mysql_disable_test "im_utils" "fail as root"
+ mkdir -p "${S}"/mysql-test/var{,/log}
+
+ if ! hasq "userpriv" ${FEATURES} ; then
+ mysql_disable_test "im_daemon_life_cycle" "fails as root"
+ mysql_disable_test "im_life_cycle" "fails as root"
+ mysql_disable_test "im_options_set" "fails as root"
+ mysql_disable_test "im_options_unset" "fails as root"
+ mysql_disable_test "im_utils" "fails as root"
fi
for t in \
ndb_{restore,subquery,transaction,trigger,truncate,types,update} \
ps_7ndb rpl_ndb_innodb_trans strict_autoinc_5ndb
do
- mysql_disable_test "${t}" "fail in sandbox"
+ mysql_disable_test "${t}" "fails with sandbox enabled"
done
- useq "extraengine" && mysql_disable_test "federated" "fail with extraengine"
+ use "extraengine" && mysql_disable_test "federated" "fails with extraengine USE"
make test-force-pl
retstatus=$?
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.32.ebuild,v 1.2 2007/01/08 09:27:56 vivo Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.32.ebuild,v 1.3 2007/01/12 17:58:32 chtekk Exp $
MY_EXTRAS_VER="20070108"
SERVER_URI="ftp://ftp.mysql.com/pub/mysql/src/mysql-${PV//_/-}.tar.gz"
inherit mysql
-#REMEMBER!!!: update also eclass/mysql*.eclass prior to commit
+# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
src_test() {
-
make check || die "make check failed"
- if ! useq "minimal" ; then
+ if ! use "minimal" ; then
cd "${S}"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
local retstatus
addpredict /this-dir-does-not-exist/t9.MYI
# mysqladmin start before dir creation
- mkdir mysql-test/var{,/log}
-
- if [[ ${UID} -eq 0 ]] ; then
- mysql_disable_test "im_daemon_life_cycle" "fail as root"
- mysql_disable_test "im_life_cycle" "fail as root"
- mysql_disable_test "im_options_set" "fail as root"
- mysql_disable_test "im_options_unset" "fail as root"
- mysql_disable_test "im_utils" "fail as root"
+ mkdir -p "${S}"/mysql-test/var{,/log}
+
+ if ! hasq "userpriv" ${FEATURES} ; then
+ mysql_disable_test "im_daemon_life_cycle" "fails as root"
+ mysql_disable_test "im_life_cycle" "fails as root"
+ mysql_disable_test "im_options_set" "fails as root"
+ mysql_disable_test "im_options_unset" "fails as root"
+ mysql_disable_test "im_utils" "fails as root"
fi
for t in \
ndb_{restore,subquery,transaction,trigger,truncate,types,update} \
ps_7ndb rpl_ndb_innodb_trans strict_autoinc_5ndb
do
- mysql_disable_test "${t}" "fail in sandbox"
+ mysql_disable_test "${t}" "fails with sandbox enabled"
done
- useq "extraengine" && mysql_disable_test "federated" "fail with extraengine"
- useq "ssl" && mysql_disable_test "ssl_des" "fail requiring PEM pass phrase"
+ use "extraengine" && mysql_disable_test "federated" "fails with extraengine USE"
+ use "ssl" && mysql_disable_test "ssl_des" "fails requiring PEM passphrase"
make test-force
retstatus=$?
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.34_alpha20070101-r61.ebuild,v 1.1 2007/01/05 12:03:30 vivo Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.34_alpha20070101-r61.ebuild,v 1.2 2007/01/12 17:58:32 chtekk Exp $
MY_EXTRAS_VER="latest"
SERVER_URI="mirror://gentoo/MySQL-${PV%.*}/mysql-${PV//_alpha/-bk-}.tar.bz2"
inherit mysql
-#REMEMBER!!!: update also eclass/mysql*.eclass prior to commit
-KEYWORDS="testing"
+# REMEMBER: also update eclass/mysql*.eclass before committing!
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
src_test() {
-
make check || die "make check failed"
- if ! useq "minimal" ; then
+ if ! use "minimal" ; then
cd "${S}/mysql-test"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
local retstatus
local t
local testopts="--force"
- # sandbox make ndbd zombie
+ # sandbox makes ndbd zombie
hasq "sandbox" ${FEATURES} && testopts="${testopts} --skip-ndb"
addpredict /this-dir-does-not-exist/t9.MYI
- # mysqladmin start before dir creation
- mkdir ${S}/mysql-test/var{,/log}
+ # mysqladmin starts before directory creation
+ mkdir -p "${S}"/mysql-test/var{,/log}
- if [[ ${UID} -eq 0 ]] ; then
- mysql_disable_test "im_cmd_line" "fail as root"
- mysql_disable_test "im_daemon_life_cycle" "fail as root"
- mysql_disable_test "im_instance_conf" "fail as root"
- mysql_disable_test "im_life_cycle" "fail as root"
- mysql_disable_test "im_options" "fail as root"
- mysql_disable_test "im_options_set" "fail as root"
- mysql_disable_test "im_options_unset" "fail as root"
- mysql_disable_test "im_utils" "fail as root"
- mysql_disable_test "trigger" "fail as root"
+ if ! hasq "userpriv" ${FEATURES} ; then
+ mysql_disable_test "im_cmd_line" "fails as root"
+ mysql_disable_test "im_daemon_life_cycle" "fails as root"
+ mysql_disable_test "im_instance_conf" "fails as root"
+ mysql_disable_test "im_life_cycle" "fails as root"
+ mysql_disable_test "im_options" "fails as root"
+ mysql_disable_test "im_options_set" "fails as root"
+ mysql_disable_test "im_options_unset" "fails as root"
+ mysql_disable_test "im_utils" "fails as root"
+ mysql_disable_test "trigger" "fails as root"
fi
for t in \
ndb_{restore,subquery,transaction,trigger,truncate,types,update} \
ps_7ndb rpl_ndb_innodb_trans strict_autoinc_5ndb
do
- mysql_disable_test "${t}" "fail in sandbox"
+ mysql_disable_test "${t}" "fails with sandbox enabled"
done
- useq "extraengine" && mysql_disable_test "federated" "fail with extraengine"
+ use "extraengine" && mysql_disable_test "federated" "fails with extraengine USE"
- mysql_disable_test "view" "Already fixed: fail because now we are in year 2007"
+ mysql_disable_test "view" "Already fixed: fails because we're in year 2007 now"
for t in \
myisam mysql_upgrade query_cache_notembedded rpl000015 rpl000017
do
- mysql_disable_test "${t}" "FIXME: Im'not supposed to fail"
+ mysql_disable_test "${t}" "FIXME: I'm not supposed to fail"
done
make test-force